﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace ComboBoxCellEditorsDemo
{
    public class ItemsSourceConverter : IValueConverter
    {
        ShipCityRepository ShipCity = new ShipCityRepository();
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string[] shipcities = null;
            //Check whether the  CountryName contains  which is received from value parameter
            if (ShipCity.ContainsKey(value.ToString()))
            {
                //if the key matched , it will return the corresponding shipcities 
                ShipCity.TryGetValue(value.ToString(), out shipcities);
                return shipcities;
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
