#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.Windows.Shared;

namespace ComboBoxCellEditorsDemo
{
    public class ShipContryData : NotificationObject
    {

        private string _Shipcity;

        /// <summary>
        /// Gets or sets the shipcity.
        /// </summary>
        /// <value>The shipcity.</value>
        public string Shipcity
        {
            get
            {
                return _Shipcity;
            }
            set
            {
                _Shipcity = value;
                RaisePropertyChanged("Shipcity");
            }
        }

        private string _Shipcountry;

        /// <summary>
        /// Gets or sets the shipcountry.
        /// </summary>
        /// <value>The shipcountry.</value>
        public string Shipcountry
        {
            get
            {
                return _Shipcountry;
            }
            set
            {
                _Shipcountry = value;
                RaisePropertyChanged("Shipcountry");
            }
        }
    }
}
